GetScopeTree
POST
/analytics/v1/dashboard/scope-treeRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/analytics.v1.GetScopeTreeRequest",
"$ref-value": {
"type": "object",
"properties": {
"level": {
"type": "string",
"title": "level",
"enum": [
"",
"projects",
"resource_types",
"resources"
],
"description": "Which level to expand. Empty returns the projects at the root."
},
"project_id": {
"type": "string",
"examples": [
"prj_fugit"
],
"title": "project_id"
},
"resource_type": {
"type": "string",
"title": "resource_type",
"enum": [
"",
"video",
"image",
"post",
"feed"
]
},
"time_start": {
"type": "string",
"title": "time_start"
},
"time_end": {
"type": "string",
"title": "time_end"
},
"limit": {
"type": "integer",
"examples": [
"50"
],
"title": "limit",
"format": "int32"
},
"search": {
"type": "string",
"title": "search",
"maxLength": 100
}
},
"title": "GetScopeTreeRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.GetScopeTreeResponse",
"$ref-value": {
"type": "object",
"properties": {
"nodes": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ScopeNode",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"label": {
"type": "string",
"title": "label"
},
"kind": {
"type": "string",
"title": "kind"
},
"views": {
"type": "string",
"examples": [
"1250"
],
"title": "views",
"format": "int64"
},
"has_children": {
"type": "boolean",
"title": "has_children"
},
"filters": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartFilter",
"$ref-value": {
"type": "object",
"properties": {
"field": {
"type": "string",
"examples": [
"country"
],
"title": "field"
},
"operator": {
"type": "string",
"examples": [
"eq"
],
"title": "operator",
"enum": [
"eq",
"neq",
"gt",
"gte",
"lt",
"lte",
"in",
"not_in",
"contains",
"not_contains",
"starts_with",
"ends_with",
"between",
"is_empty",
"is_not_empty"
]
},
"values": {
"type": "array",
"items": {
"type": "string"
},
"title": "values"
}
},
"title": "ChartFilter",
"required": [
"field"
],
"additionalProperties": false
}
},
"title": "filters"
}
},
"title": "ScopeNode",
"additionalProperties": false
}
},
"title": "nodes"
},
"level": {
"type": "string",
"title": "level"
}
},
"title": "GetScopeTreeResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/analytics/v1/dashboard/scope-tree" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.GetScopeTreeResponse",
"$ref-value": {
"type": "object",
"properties": {
"nodes": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ScopeNode",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"label": {
"type": "string",
"title": "label"
},
"kind": {
"type": "string",
"title": "kind"
},
"views": {
"type": "string",
"examples": [
"1250"
],
"title": "views",
"format": "int64"
},
"has_children": {
"type": "boolean",
"title": "has_children"
},
"filters": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartFilter",
"$ref-value": {
"type": "object",
"properties": {
"field": {
"type": "string",
"examples": [
"country"
],
"title": "field"
},
"operator": {
"type": "string",
"examples": [
"eq"
],
"title": "operator",
"enum": [
"eq",
"neq",
"gt",
"gte",
"lt",
"lte",
"in",
"not_in",
"contains",
"not_contains",
"starts_with",
"ends_with",
"between",
"is_empty",
"is_not_empty"
]
},
"values": {
"type": "array",
"items": {
"type": "string"
},
"title": "values"
}
},
"title": "ChartFilter",
"required": [
"field"
],
"additionalProperties": false
}
},
"title": "filters"
}
},
"title": "ScopeNode",
"additionalProperties": false
}
},
"title": "nodes"
},
"level": {
"type": "string",
"title": "level"
}
},
"title": "GetScopeTreeResponse",
"additionalProperties": false
}
}